
QGIS Application - Bug report #12134

Announcements of photos in the background

2015-02-05 03:24 AM - Angelika Schloesser

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 20328

Description

Storing large amounts of background photos (scenery, Orthofotos), they are partially not indicated, so that one cannot work with it. In my

case these are photos by a size of about 2. 5 GB.

In version 1.8 this is no problem, but in the newer ones. Is there a solution??

History

#1 - 2015-02-05 03:48 AM - Nathan Woodrow

I'm sorry I don't follow what you mean.  You try to explain it a different way.

#2 - 2015-02-05 04:05 AM - Angelika Schloesser

Ok, next try ;-) : I open a new project in which 19 photos should be in the background. If I load them as grid data, a white surface, instead of the photos

appears in about one third. Repeated updating leads only to the fact that other photos turn white, but the photos are never all shown properly. Is it because

of the large size of all the photos?  The problem seams to be only the display, all 19 photos are shown in the legend...

#3 - 2015-02-07 02:12 AM - Giovanni Manghi

- Status changed from Open to Feedback

Angelika Schloesser wrote:

Ok, next try ;-) : I open a new project in which 19 photos should be in the background. If I load them as grid data, a white surface, instead of the

photos appears in about one third. Repeated updating leads only to the fact that other photos turn white, but the photos are never all shown

properly. Is it because of the large size of all the photos?  The problem seams to be only the display, all 19 photos are shown in the legend...

Hi Angelika, it is also not very clear to me. Anyway for what I have understand it could be very well an issue with your data, probably a coordinate reference

system one. Please attach sample data to allow us check.

#4 - 2015-02-09 01:43 AM - Angelika Schloesser

- File screenshot_not_shown_orthophotos01.png added

- File screenshot_not_shown_orthophotos02.png added

You can find two screenshots of my project attached. It includes about 30 orthophotos, which should be all shown in the print composer to create a pdf.
But (how it is seen in the screenshots) never all photos are shown, instead, there are white surfaces. The second screenshot was taken a few minutes later

after updating the project. Every orthophto has a size about 45 MB. The selected coordinate reference system is correct.

#5 - 2015-02-09 02:19 AM - Giovanni Manghi

Angelika Schloesser wrote:

Every orthophto has a size about 45 MB. The selected coordinate reference system is correct.

without a sample of 1 image that do show and 1 that does not it would be hard to tell if is a local issue, a data issue, a crs issue or a qgis issue. If you

cannot share this sample then run the "info" tool in the raster menu on two images, ones that show and one that doesn't, and post/check the results. Do the

coordinate of origin of the image that does not show make sense?

#6 - 2015-02-09 03:18 AM - Angelika Schloesser

- File screenshot_not_shown_image.png added

I have run the "info" tool and compared the results from one image, that was once shown, and once not. Information was always same (e.g. in the

screenshot attached). In Version 1.8 the problem does not exist and all orthophotos are shown. But I want to draw the maps in the newest version.  :-(

#7 - 2015-02-09 12:30 PM - Giovanni Manghi

Angelika Schloesser wrote:

I have run the "info" tool and compared the results from one image, that was once shown, and once not. Information was always same (e.g. in the

screenshot attached). In Version 1.8 the problem does not exist and all orthophotos are shown. But I want to draw the maps in the newest version. 

:-(

please have a look at the "corners coordinates" part of the infos that the show about the two images, the one that will show and the one that don't. The

corner coordinates of the image that does not show do make any sense (relatively to the coordinate reference system and the geographic area you are

using)?. Thanks.

#8 - 2015-02-09 10:40 PM - Angelika Schloesser

Not shown image:

Corner Coordinates:

Upper Left  (   72000.000,   82000.000) (  6d 3'21.03"E, 49d40'17.22"N)

Lower Left  (   72000.000,   81000.000) (  6d 3'21.11"E, 49d39'44.86"N)

Upper Right (   73000.000,   82000.000) (  6d 4'10.90"E, 49d40'17.27"N)

Lower Right (   73000.000,   81000.000) (  6d 4'10.97"E, 49d39'44.90"N)

Center      (   72500.000,   81500.000) (  6d 3'46.00"E, 49d40' 1.06"N)

Ok, here's the problem. Comparing this project with another similar one showed that the data between the second brackets is too much. As coordinate

reference system I have chosen Luxembourg 1930 / Gauss. This needs just the information between the first brackets... But how can I change this?
#9 - 2015-02-10 12:37 AM - Giovanni Manghi

Angelika Schloesser wrote:

Not shown image:

Corner Coordinates:

Upper Left  (   72000.000,   82000.000) (  6d 3'21.03"E, 49d40'17.22"N)

Lower Left  (   72000.000,   81000.000) (  6d 3'21.11"E, 49d39'44.86"N)

Upper Right (   73000.000,   82000.000) (  6d 4'10.90"E, 49d40'17.27"N)

Lower Right (   73000.000,   81000.000) (  6d 4'10.97"E, 49d39'44.90"N)

Center      (   72500.000,   81500.000) (  6d 3'46.00"E, 49d40' 1.06"N)

Ok, here's the problem. Comparing this project with another similar one showed that the data between the second brackets is too much. As

coordinate reference system I have chosen Luxembourg 1930 / Gauss. This needs just the information between the first brackets... But how can I

change this?

so this probably means that you should have issues with your data. If the image corner coordinates in degrees does not make sense then the value in

meters probably does not correspond to the coordinate reference system you think the images have been given. Anyway this does not seems a qgis issue

and to receive further assistance you should attach/link one of the problematic images (along with a good one).

#10 - 2015-02-10 03:56 AM - Angelika Schloesser

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

That's right. It was a problem with my data. Some tfw's have lacked. Sorry, that I've not noted it before and thanks a lot for your help!

#11 - 2015-02-10 04:04 AM - Giovanni Manghi

- Resolution set to invalid

Files

screenshot_not_shown_orthophotos01.png 1.62 MB 2015-02-09 Angelika Schloesser

screenshot_not_shown_orthophotos02.png 1.33 MB 2015-02-09 Angelika Schloesser

screenshot_not_shown_image.png 1.39 MB 2015-02-09 Angelika Schloesser
